MyGUI: MyGUI::ScrollViewBase Class Reference

MyGUI 3.4.3

Protected Member Functions | Protected Attributes
MyGUI::ScrollViewBase Class Reference

`#include <MyGUI_ScrollViewBase.h>`

Inheritance diagram for MyGUI::ScrollViewBase:
[legend]

## Protected Member Functions
virtual | ~ScrollViewBase ()=default
void | updateScrollSize ()
void | updateScrollPosition ()
virtual IntSize | getContentSize () const
virtual IntPoint | getContentPosition () const
virtual void | setContentPosition (const IntPoint &_value)
virtual IntSize | getViewSize () const
virtual size_t | getHScrollPage () const
virtual size_t | getVScrollPage () const
virtual Align | getContentAlign () const
virtual void | eraseContent ()

## Protected Attributes
ScrollBar * | mVScroll {nullptr}
ScrollBar * | mHScroll {nullptr}
Widget * | mScrollViewClient {nullptr}
bool | mVisibleHScroll {true}
bool | mVisibleVScroll {true}
size_t | mVRange {0}
size_t | mHRange {0}
bool | mChangeContentByResize {false}

## Detailed Description

Definition at line 16 of file MyGUI_ScrollViewBase.h.

## Constructor & Destructor Documentation

## ◆ ~ScrollViewBase()

virtual MyGUI::ScrollViewBase::~ScrollViewBase | ( |  | ) |
| protectedvirtualdefault

## Member Function Documentation

## ◆ eraseContent()

void MyGUI::ScrollViewBase::eraseContent | ( |  | ) |
| protectedvirtual

Definition at line 349 of file MyGUI_ScrollViewBase.cpp.

## ◆ getContentAlign()

Align MyGUI::ScrollViewBase::getContentAlign | ( |  | ) | const
| protectedvirtual

Definition at line 344 of file MyGUI_ScrollViewBase.cpp.

## ◆ getContentPosition()

IntPoint MyGUI::ScrollViewBase::getContentPosition | ( |  | ) | const
| protectedvirtual

Definition at line 320 of file MyGUI_ScrollViewBase.cpp.

## ◆ getContentSize()

IntSize MyGUI::ScrollViewBase::getContentSize | ( |  | ) | const
| protectedvirtual

Definition at line 315 of file MyGUI_ScrollViewBase.cpp.

## ◆ getHScrollPage()

size_t MyGUI::ScrollViewBase::getHScrollPage | ( |  | ) | const
| protectedvirtual

Definition at line 334 of file MyGUI_ScrollViewBase.cpp.

## ◆ getViewSize()

IntSize MyGUI::ScrollViewBase::getViewSize | ( |  | ) | const
| protectedvirtual

Reimplemented in MyGUI::ItemBox.

Definition at line 329 of file MyGUI_ScrollViewBase.cpp.

## ◆ getVScrollPage()

size_t MyGUI::ScrollViewBase::getVScrollPage | ( |  | ) | const
| protectedvirtual

Definition at line 339 of file MyGUI_ScrollViewBase.cpp.

## ◆ setContentPosition()

void MyGUI::ScrollViewBase::setContentPosition | ( | const IntPoint & | _value | ) |
| protectedvirtual

Definition at line 325 of file MyGUI_ScrollViewBase.cpp.

## ◆ updateScrollPosition()

void MyGUI::ScrollViewBase::updateScrollPosition | ( |  | ) |
| protected

Definition at line 234 of file MyGUI_ScrollViewBase.cpp.

## ◆ updateScrollSize()

void MyGUI::ScrollViewBase::updateScrollSize | ( |  | ) |
| protected

Definition at line 14 of file MyGUI_ScrollViewBase.cpp.

## Field Documentation

## ◆ mChangeContentByResize

bool MyGUI::ScrollViewBase::mChangeContentByResize {false}
| protected

Definition at line 54 of file MyGUI_ScrollViewBase.h.

## ◆ mHRange

size_t MyGUI::ScrollViewBase::mHRange {0}
| protected

Definition at line 51 of file MyGUI_ScrollViewBase.h.

## ◆ mHScroll

ScrollBar* MyGUI::ScrollViewBase::mHScroll {nullptr}
| protected

Definition at line 44 of file MyGUI_ScrollViewBase.h.

## ◆ mScrollViewClient

Widget* MyGUI::ScrollViewBase::mScrollViewClient {nullptr}
| protected

Definition at line 45 of file MyGUI_ScrollViewBase.h.

## ◆ mVisibleHScroll

bool MyGUI::ScrollViewBase::mVisibleHScroll {true}
| protected

Definition at line 47 of file MyGUI_ScrollViewBase.h.

## ◆ mVisibleVScroll

bool MyGUI::ScrollViewBase::mVisibleVScroll {true}
| protected

Definition at line 48 of file MyGUI_ScrollViewBase.h.

## ◆ mVRange

size_t MyGUI::ScrollViewBase::mVRange {0}
| protected

Definition at line 50 of file MyGUI_ScrollViewBase.h.

## ◆ mVScroll

ScrollBar* MyGUI::ScrollViewBase::mVScroll {nullptr}
| protected

Definition at line 43 of file MyGUI_ScrollViewBase.h.

The documentation for this class was generated from the following files:

- MyGUI_ScrollViewBase.h
- MyGUI_ScrollViewBase.cpp